BasicToolBarSeparatorUI (Java SE 17 & JDK 17)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicToolBarSeparatorUI
Keywords: javax.swing.plaf.basic.BasicToolBarSeparatorUI class

Module java.desktop
Package javax.swing.plaf.basic

# Class BasicToolBarSeparatorUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.SeparatorUI
javax.swing.plaf.basic.BasicSeparatorUI
javax.swing.plaf.basic.BasicToolBarSeparatorUI

public class BasicToolBarSeparatorUI extends BasicSeparatorUI
A Basic L&F implementation of ToolBarSeparatorUI. This implementation is a "combined" view/controller.

- ## Field Summary

  ### Fields declared in class javax.swing.plaf.basic.BasicSeparatorUI

  `highlight, shadow`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicToolBarSeparatorUI()`
  Constructs a `BasicToolBarSeparatorUI`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComponentUI`
  `createUI(JComponent c)`
  Returns a new instance of `BasicToolBarSeparatorUI`.

  ### Methods declared in class javax.swing.plaf.basic.BasicSeparatorUI

  `installDefaults, installListeners, uninstallDefaults, uninstallListeners`

  ### Methods declared in class javax.swing.plaf.ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BasicToolBarSeparatorUI

    public BasicToolBarSeparatorUI()
    Constructs a `BasicToolBarSeparatorUI`.

- ## Method Details

  - ### createUI

    public static ComponentUI createUI(JComponent c)
    Returns a new instance of `BasicToolBarSeparatorUI`.
    Parameters:
      `c` - a component
    Returns:
      a new instance of `BasicToolBarSeparatorUI`